#!/bin/bash

CWD=`dirname $0`
IAM=`basename $0`
PERMISSION="ssquid:root"


[ "x${CWD}" == "x." ] && CWD=`pwd`

SRC_CODE=${CWD}/api
UI_CODE=${CWD}/ui_root/report
SSQ_HNDLR=${CWD}/ui_root/cgi-bin
APP_LOGS="/var/log/safesquid/reporting.log"

DEST_PARENT=/usr/local/safesquid
UI_ROOT=ui_root
CGI_SCRIPT=cgi-bin

COPY_SRC(){
	[ ! -d ${DEST_PARENT}/api] && mkdir -p ${DEST_PARENT}/api
	cp -TRv ${SRC_CODE} ${DEST_PARENT}/api
	chown -R ${PERMISSION} ${DEST_PARENT}/api
	
	[ ! -d ${DEST_PARENT}/${UI_ROOT}/report ] && mkdir -p ${DEST_PARENT}/${UI_ROOT}/report
	cp -TRv ${UI_CODE} ${DEST_PARENT}/${UI_ROOT}/report
	
	cp -TRv ${SSQ_HNDLR} ${DEST_PARENT}/${UI_ROOT}/${CGI_SCRIPT}
	chown -R ${PERMISSION} ${DEST_PARENT}/${UI_ROOT}
}

MAKE_APPLICATION_LOG(){	
	install -m 755 -o ssquid -g root /dev/null ${APP_LOGS}	
}

MAKE_CRON(){
	avail=$(cat /etc/crontab | grep "/ui_root/cgi-bin/static.sh" | wc -l)
	avail2=$(cat /etc/crontab | grep "/usr/local/safesquid/api/sendmail.py" | wc -l)
	
	[ "x${avail}" == "x0" ] && echo '0  4     * * * root /bin/bash   /usr/local/safesquid/ui_root/cgi-bin/static.sh' >> /etc/crontab
	[ "x${avail2}" == "x0" ] && echo '0  7     * * * root /bin/bash   /usr/local/safesquid/api/sendmail.py' >> /etc/crontab
	/etc/init.d/cron restart
	
}

MAIN(){
	COPY_SRC
	MAKE_APPLICATION_LOG
	MAKE_CRON
}

MAIN